Get Lead
Load one lead with the commercial and activity context needed to decide the next prospecting action.
Load one lead with the commercial and activity context needed to decide the next prospecting action.
When to use
Use this when you already know the lead id or after a `lead.search` result selection. In `full`, it returns `prospect_context` by default.
Output notes
- Responses default to `full` mode through the public API and CLI.
- Use `compact` only when token savings matter more than prospecting quality. It can noticeably reduce prospecting quality.
Output schema
{
"type": "object",
"properties": {
"lead_id": {
"type": "string"
},
"lead": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"title": {
"type": "string"
},
"jobTitle": {
"type": "string"
},
"company": {
"type": "string"
},
"score": {
"type": "number"
},
"avatarUrl": {
"type": "string"
},
"linkedinUrl": {
"type": "string"
},
"linkedin_url": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"New",
"Waiting",
"Contacted",
"Replied",
"MeetingBooked",
"Interested",
"NotInterested",
"DoNotContact"
]
},
"lastInteraction": {
"type": "string"
},
"description": {
"type": "string"
},
"linkedinProfileEnriched": {
"type": "boolean"
},
"location": {
"type": "string"
},
"email": {
"type": "string"
},
"phone": {
"type": "string"
},
"timezone": {
"type": "string"
},
"companyWebsite": {
"type": "string"
},
"companyLogoUrl": {
"type": "string"
},
"companyLinkedinUrl": {
"type": "string"
},
"companyHeadline": {
"type": "string"
},
"personalWebsite": {
"type": "string"
},
"companyIndustry": {
"type": "string"
},
"companySize": {
"type": "string"
},
"experience": {
"type": "array",
"items": {
"type": "object",
"properties": {
"role": {
"type": "string"
},
"company": {
"type": "string"
},
"duration": {
"type": "string"
},
"description": {
"type": "string"
}
},
"required": [
"role",
"company",
"duration"
],
"additionalProperties": false
}
},
"education": {
"type": "array",
"items": {
"type": "object",
"properties": {
"school": {
"type": "string"
},
"degree": {
"type": "string"
},
"year": {
"type": "string"
}
},
"required": [
"school",
"degree",
"year"
],
"additionalProperties": false
}
},
"skills": {
"type": "array",
"items": {
"type": "string"
}
},
"recentPosts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"content": {
"type": "string"
},
"date": {
"type": "string"
},
"likes": {
"type": "number"
},
"comments": {
"type": "number"
},
"url": {
"type": "string"
}
},
"required": [
"content",
"date",
"likes"
],
"additionalProperties": false
}
},
"mission": {
"type": "string"
},
"missions": {
"type": "array",
"items": {
"type": "string"
}
},
"sentMessages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"content": {
"type": "string"
},
"channel": {
"type": "string",
"enum": [
"EMAIL",
"LINKEDIN"
]
},
"date": {
"type": "string"
},
"timestamp": {
"type": "string"
},
"senderName": {
"type": "string"
},
"isPending": {
"type": "boolean"
}
},
"required": [
"id",
"content",
"channel",
"date"
],
"additionalProperties": false
}
},
"receivedMessages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"content": {
"type": "string"
},
"channel": {
"type": "string",
"enum": [
"EMAIL",
"LINKEDIN"
]
},
"date": {
"type": "string"
},
"timestamp": {
"type": "string"
},
"senderName": {
"type": "string"
},
"isPending": {
"type": "boolean"
}
},
"required": [
"id",
"content",
"channel",
"date"
],
"additionalProperties": false
}
},
"addedDate": {
"type": "string"
},
"isFlagged": {
"type": "boolean"
}
},
"required": [
"id",
"name",
"title",
"company",
"score",
"avatarUrl",
"linkedinUrl",
"linkedin_url",
"status"
],
"additionalProperties": false
},
"latest_import": {
"anyOf": [
{
"type": "object",
"properties": {
"import_id": {
"type": "string"
},
"type": {
"type": "string"
},
"imported_at": {
"type": "string",
"format": "date-time"
},
"source_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"context": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"metadata": {
"description": "Arbitrary JSON value.",
"oneOf": [
{
"type": "object",
"additionalProperties": true
},
{
"type": "array",
"items": {}
},
{
"type": "string"
},
{
"type": "number"
},
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"lead_import_metadata": {
"description": "Arbitrary JSON value.",
"oneOf": [
{
"type": "object",
"additionalProperties": true
},
{
"type": "array",
"items": {}
},
{
"type": "string"
},
{
"type": "number"
},
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"lead_import_source": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"mission_id": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"import_id",
"type",
"imported_at",
"source_url",
"context",
"metadata",
"lead_import_metadata",
"lead_import_source",
"mission_id"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"import_context": {
"anyOf": [
{
"type": "object",
"properties": {
"type": {
"type": "string"
},
"context": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"metadata": {
"description": "Arbitrary JSON value.",
"oneOf": [
{
"type": "object",
"additionalProperties": true
},
{
"type": "array",
"items": {}
},
{
"type": "string"
},
{
"type": "number"
},
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"lead_import_metadata": {
"description": "Arbitrary JSON value.",
"oneOf": [
{
"type": "object",
"additionalProperties": true
},
{
"type": "array",
"items": {}
},
{
"type": "string"
},
{
"type": "number"
},
{
"type": "boolean"
},
{
"type": "null"
}
]
},
"lead_import_source": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"type",
"context",
"metadata",
"lead_import_metadata",
"lead_import_source"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"prospect_context": {
"anyOf": [
{
"type": "object",
"properties": {
"prospect": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"firstName": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"lastName": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"email": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"headline": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"jobTitle": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"companyName": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string"
},
"score": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"notes": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"linkedinUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"linkedin_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"linkedinId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"linkedinProviderId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"linkedinIsRelationship": {
"type": "boolean"
},
"lastActivityAt": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
]
},
"lastContactAt": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
]
},
"linkedinOwnerAccount": {
"anyOf": [
{
"type": "object",
"properties": {
"id": {
"type": "string"
},
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"email": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string"
}
},
"required": [
"id",
"name",
"email",
"status"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"leadIdentityAliases": {
"type": "array",
"items": {
"type": "object",
"properties": {
"provider": {
"type": "string"
},
"type": {
"type": "string"
},
"value": {
"type": "string"
}
},
"required": [
"provider",
"type",
"value"
],
"additionalProperties": false
}
},
"leadActivities": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string"
},
"title": {
"type": "string"
},
"description": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"occurredAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"type",
"title",
"description",
"occurredAt"
],
"additionalProperties": false
}
},
"linkedinRelations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"userProviderId": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"userPublicIdentifier": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"userProfileUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"userFullName": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"acceptedAt": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
]
}
},
"required": [
"id",
"userProviderId",
"userPublicIdentifier",
"userProfileUrl",
"userFullName",
"acceptedAt"
],
"additionalProperties": false
}
},
"linkedinConversations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"title": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"status": {
"type": "string"
},
"lastMessageAt": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
]
},
"participants": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"fullName": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"publicIdentifier": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"profileUrl": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"isSelf": {
"type": "boolean"
}
},
"required": [
"id",
"fullName",
"publicIdentifier",
"profileUrl",
"isSelf"
],
"additionalProperties": false
}
},
"messages": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"direction": {
"type": "string"
},
"state": {
"type": "string"
},
"bodyText": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"sentAt": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"direction",
"state",
"bodyText",
"sentAt",
"createdAt"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"title",
"status",
"lastMessageAt",
"participants",
"messages"
],
"additionalProperties": false
}
},
"linkedinOutreachActions": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"type": {
"type": "string"
},
"status": {
"type": "string"
},
"bodyText": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"scheduledFor": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
]
},
"sentAt": {
"anyOf": [
{
"type": "string",
"format": "date-time"
},
{
"type": "null"
}
]
},
"failureReason": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"createdAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"type",
"status",
"bodyText",
"scheduledFor",
"sentAt",
"failureReason",
"createdAt"
],
"additionalProperties": false
}
}
},
"required": [
"id",
"firstName",
"lastName",
"email",
"headline",
"jobTitle",
"companyName",
"status",
"score",
"notes",
"linkedinUrl",
"linkedin_url",
"linkedinId",
"linkedinProviderId",
"linkedinIsRelationship",
"lastActivityAt",
"lastContactAt",
"linkedinOwnerAccount",
"leadIdentityAliases",
"leadActivities",
"linkedinRelations",
"linkedinConversations",
"linkedinOutreachActions"
],
"additionalProperties": false
},
"next_actions": {
"type": "array",
"items": {
"type": "string",
"enum": [
"reply_to_message",
"wait_for_invitation_acceptance",
"send_message",
"send_invitation"
]
}
}
},
"required": [
"prospect",
"next_actions"
],
"additionalProperties": false
},
{
"type": "null"
}
]
}
},
"required": [
"lead_id",
"lead",
"latest_import",
"import_context",
"prospect_context"
],
"additionalProperties": false
}
CLI
salestouch commands run lead.get --input-json '{"lead_id":"<string>","prospect_id":"<string>","email":"<string>"}' --json
Payload
{
"lead_id": "<string>",
"prospect_id": "<string>",
"email": "<string>"
}
Runtime Command
lead.get is exposed through the shared SalesTouch runtime and stays available across API, CLI and MCP.
HTTP Reference
Use Authorization: Bearer <salestouch_api_key>.
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://www.salestouch.io/api/v1/commands/string" \ -H "Content-Type: application/json" \ -d '{}'{
"ok": true,
"status": 0,
"data": {},
"error": {
"code": "string",
"message": "string"
},
"meta": {
"approval_required": true,
"approval_request_id": "string",
"command_hash": "string",
"warnings": [
"string"
]
}
}{
"ok": true,
"status": 0,
"data": {},
"error": {
"code": "string",
"message": "string"
},
"meta": {
"approval_required": true,
"approval_request_id": "string",
"command_hash": "string",
"warnings": [
"string"
]
}
}{
"error": {
"message": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"code": "string"
}
}{
"ok": true,
"status": 0,
"data": {},
"error": {
"code": "string",
"message": "string"
},
"meta": {
"approval_required": true,
"approval_request_id": "string",
"command_hash": "string",
"warnings": [
"string"
]
}
}{
"ok": true,
"status": 0,
"data": {},
"error": {
"code": "string",
"message": "string"
},
"meta": {
"approval_required": true,
"approval_request_id": "string",
"command_hash": "string",
"warnings": [
"string"
]
}
}{
"ok": true,
"status": 0,
"data": {},
"error": {
"code": "string",
"message": "string"
},
"meta": {
"approval_required": true,
"approval_request_id": "string",
"command_hash": "string",
"warnings": [
"string"
]
}
}Schema Reference
Use Authorization: Bearer <salestouch_api_key>.
In: header
Path Parameters
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://www.salestouch.io/api/v1/commands/string/schema"{
"data": {
"command": {
"command_id": "string",
"title": "string",
"description": "string",
"summary": "string",
"visibility": "public",
"risk": "read",
"category": "linkedin",
"default_permission": "allow",
"when_to_use": "string",
"risk_notes": [
"string"
],
"output_notes": [
"string"
],
"related_commands": [
"string"
],
"related_resources": [
"string"
],
"examples": [
{
"title": "string",
"language": "string",
"code": "string"
}
],
"input_schema": {},
"output_schema": {},
"approval_output_schema": {}
}
}
}{
"error": {
"message": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"code": "string"
}
}{
"error": {
"message": "string",
"code": "string"
}
}Related Resources
salestouch://prospects/{id}